@import '~@angular/material/theming';

@include mat-core();

$custom-primary: mat-palette($mat-grey, 300);
$custom-accent: mat-palette($mat-red, 600);
$custom-warn: mat-palette($mat-amber, 700);

$theme: mat-light-theme($custom-primary, $custom-accent, $custom-warn);

@include angular-material-theme($theme);

.dark-theme {
  color: $light-primary-text;
  $custom-dark-primary: mat-palette($mat-grey, 900);
  $dark-theme: mat-dark-theme($custom-dark-primary, $custom-accent, $custom-warn);

  @include angular-material-theme($dark-theme);
}
